<template>
  <div class="app-container">
    <div v-html="contractInfo">
    </div>
  </div>

</template>

<script>
import { getContract } from '@/api/dk/borrow'

export default {
  components: {},
  data() {
    return {
      open: false,
      title: '',
      info: {
        tradeNo: undefined,
      },
      contractInfo: undefined,
      buttonLoading: false,
    }
  },
  created() {
    const borrowTradeNo = this.$route.params && this.$route.params.borrowTradeNo
    this.init(borrowTradeNo)
    this.hihi();
  },
  methods: {
    init(tradeNo) {
      this.info.tradeNo = tradeNo || undefined
      this.open = true
      this.$nextTick(() => {
        getContract(tradeNo).then(response => {
          this.contractInfo = response.data
          this.open = true
          this.title = '合同'
        })
      })
    }
  }
}
</script>
<style rel="stylesheet/scss" lang="scss">
.transAccountContract {
  margin: auto;
  width: 1360px;
  height: 592px;
  background-image: url("../../../assets/images/hd_bg1.png");
  background-repeat: no-repeat;
  background-size: cover;
}
.contentContract {
  width: 100%;
  padding-top: 268px !important;
  padding-left: 155px;
  *margin: 16px auto;
}
</style>
